Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.inputsuggestajax
Class InputSuggestAjax

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.html.HtmlInputText
                          org.apache.myfaces.component.html.ext.HtmlInputText
                              org.apache.myfaces.custom.inputsuggestajax.InputSuggestAjax

All Implemented Interfaces:
  AjaxComponent, org.apache.myfaces.component.DisplayValueOnlyCapable, javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, org.apache.myfaces.component.UserRoleAware, javax.faces.component.ValueHolder

public class InputSuggestAjax
extends org.apache.myfaces.component.html.ext.HtmlInputText
implements AjaxComponent

Version:
  $Revision: 169662 $ $Date: 2005-05-11 19:57:24 +0200 (Wed, 11 May 2005) $
Author:
  Gerald Muellan (latest modification by $Author: svieujot $), Martin Marinschek

Field Summary

Fields inherited from class org.apache.myfaces.component.html.ext.HtmlInputText
`COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`COMPONENT_FAMILY, CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Fields inherited from interface org.apache.myfaces.component.UserRoleAware
`ENABLED_ON_USER_ROLE_ATTR, VISIBLE_ON_USER_ROLE_ATTR`

Fields inherited from interface org.apache.myfaces.component.DisplayValueOnlyCapable
`DISPLAY_VALUE_ONLY_ATTR, DISPLAY_VALUE_ONLY_STYLE_ATTR, DISPLAY_VALUE_ONLY_STYLE_CLASS_ATTR`

Constructor Summary
`InputSuggestAjax()`

Method Summary
`void` | `encodeAjax(javax.faces.context.FacesContext context)`
`java.lang.String` | `getLayout()`
`java.lang.String` | `getListId()`
`java.lang.String` | `getListItemStyle()`
`java.lang.String` | `getListItemStyleClass()`
`java.lang.String` | `getListStyle()`
`java.lang.String` | `getListStyleClass()`
`java.lang.Integer` | `getMaxSuggestedItems()`
`java.lang.String` | `getPopupId()`
`java.lang.String` | `getPopupStyle()`
`java.lang.String` | `getPopupStyleClass()`
`javax.faces.el.MethodBinding` | `getSuggestedItemsMethod()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setLayout(java.lang.String layout)`
`void` | `setListId(java.lang.String listId)`
`void` | `setListItemStyle(java.lang.String listItemStyle)`
`void` | `setListItemStyleClass(java.lang.String listItemStyleClass)`
`void` | `setListStyle(java.lang.String listStyle)`
`void` | `setListStyleClass(java.lang.String listStyleClass)`
`void` | `setMaxSuggestedItems(java.lang.Integer suggestedItems)`
`void` | `setPopupId(java.lang.String popupId)`
`void` | `setPopupStyle(java.lang.String popupStyle)`
`void` | `setPopupStyleClass(java.lang.String popupStyleClass)`
`void` | `setSuggestedItemsMethod(javax.faces.el.MethodBinding suggestedItemsMethod)`

Methods inherited from class org.apache.myfaces.component.html.ext.HtmlInputText
`getClientId, getDisplayValueOnlyStyle, getDisplayValueOnlyStyleClass, getEnabledOnUserRole, getVisibleOnUserRole, isDisplayValueOnly, isRendered, isSetDisplayValueOnly, setDisplayValueOnly, setDisplayValueOnlyStyle, setDisplayValueOnlyStyleClass, setEnabledOnUserRole, setVisibleOnUserRole`

Methods inherited from class javax.faces.component.html.HtmlInputText
`getAccesskey, getAlt, getDir, getLang, getMaxlength, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getSize, getStyle, getStyleClass, getTabindex, getTitle, isDisabled, isReadonly, setAccesskey, setAlt, setDir, setDisabled, setLang, setMaxlength, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setSize, setStyle, setStyleClass, setTabindex, setTitle`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, broadcast, compareValues, decode, getConvertedValue, getFamily, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Constructor Detail

### InputSuggestAjax

    public InputSuggestAjax()

Method Detail

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

### encodeAjax

    public void encodeAjax(javax.faces.context.FacesContext context)
                    throws java.io.IOException

  Specified by:
    `encodeAjax` in interface `AjaxComponent`
  Throws:
    `java.io.IOException`

### getLayout

    public java.lang.String getLayout()

### setLayout

    public void setLayout(java.lang.String layout)

### setSuggestedItemsMethod

    public void setSuggestedItemsMethod(javax.faces.el.MethodBinding suggestedItemsMethod)

### getSuggestedItemsMethod

    public javax.faces.el.MethodBinding getSuggestedItemsMethod()

### getPopupId

    public java.lang.String getPopupId()

### setPopupId

    public void setPopupId(java.lang.String popupId)

### getPopupStyleClass

    public java.lang.String getPopupStyleClass()

### setPopupStyleClass

    public void setPopupStyleClass(java.lang.String popupStyleClass)

### getPopupStyle

    public java.lang.String getPopupStyle()

### setPopupStyle

    public void setPopupStyle(java.lang.String popupStyle)

### getListId

    public java.lang.String getListId()

### setListId

    public void setListId(java.lang.String listId)

### getListStyleClass

    public java.lang.String getListStyleClass()

### setListStyleClass

    public void setListStyleClass(java.lang.String listStyleClass)

### getListStyle

    public java.lang.String getListStyle()

### setListStyle

    public void setListStyle(java.lang.String listStyle)

### getListItemStyleClass

    public java.lang.String getListItemStyleClass()

### setListItemStyleClass

    public void setListItemStyleClass(java.lang.String listItemStyleClass)

### getListItemStyle

    public java.lang.String getListItemStyle()

### setListItemStyle

    public void setListItemStyle(java.lang.String listItemStyle)

### getMaxSuggestedItems

    public java.lang.Integer getMaxSuggestedItems()

### setMaxSuggestedItems

    public void setMaxSuggestedItems(java.lang.Integer suggestedItems)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD